class ApplicationController < ActionController::Base
  protect_from_forgery

  # Overwrite cancan current_ability
  def current_ability
    @current_ability ||= ::Ability.new(current_tenant)
  end

  def render_template
    render :template => "themes/#{@tenant.theme}/#{controller_name}/#{action_name}"
  end

#  rescue_from CanCan::AccessDenied do |exception|
#    flash[:error] = "Access denied!"
#    redirect_to root_url
#  end
end
