class Tenants::SessionsController < Devise::SessionsController
  def create
    resource = warden.authenticate!(:scope => resource_name, :recall => "#{controller_path}#new")
    set_flash_message :notice, :signed_in
    sign_in(resource_name, resource)
    redirect_to tenant_path(resource.id)
  end
end