class Gallery < ActiveRecord::Base
  include HasToParam

  # Relationship
  belongs_to :tenant
  has_many :albums

  #validations
  validates_presence_of :name
  validates_uniqueness_of :name

  default_scope order('id')

  def self.per_page
    return 5
  end
end