tps.pages.albums={
  init :function(){
    tps.fbapi.init();
  },

  init_show :function(){
    Galleria.loadTheme('/javascripts/galleria.classic.js');
    $("#images_list").galleria({
      width: 900,
      height: 450,
      extend: function(options) {

        Galleria.log(this); // the gallery instance
        Galleria.log(options); // the gallery options

        // listen to when an image is shown
        this.bind('image', function(e) {

            Galleria.log(e); // the event object may contain custom objects, in this case the main image
            Galleria.log(e.imageTarget); // the current image

            // lets make galleria open a lightbox when clicking the main image:
            $(e.imageTarget).click(this.proxy(function() {
               this.openLightbox();
            }));
        });
      }
    });
    tps.pages.albums.init_slide_show();
  },

  init_slide_show :function(){
    var gallery = Galleria.get(0); // gallery is now the first galleria instance
    $('#play-slides').click(function() {
      gallery.enterFullscreen();
      gallery.playToggle(); // will start slideshow when the element #play is clicked
    });
  }
};