require 'spec_helper'

describe ImagesController do
  describe "GET new" do
    before do
      @album = get_singapore_album
    end

    def do_request
      get :new, :tenant_id => @album.tenant.to_param, :gallery_id => @album.gallery.to_param, :album_id => @album.to_param
    end

    it "should be successful" do
      do_request
      assigns(:title).should == "Create New Image"
      assigns(:image).album.should == @album
    end
  end

  xdescribe "POST create" do
    before do
      @album = get_singapore_album
    end

    def do_request
      post :create, :tenant_id => @album.tenant.to_param, :gallery_id => @album.gallery.to_param, :album_id => @album.to_param, :image =>{}
    end

    it "should create a new image" do
      expect{
        do_request
      }.to change(Image.count).by(1)
    end
  end

  describe "GET show" do

  end
end