Factory.define :gallery, :class => Gallery do |g|
  g.name 'gallery'
  g.description 'gallery description'
  g.thumbnail 'http://foo.bar/gallery_thumbnail'
  g.tenant {Factory(:tenant, :tenant_name => 'tenant', :email => 'tenant_1@gmail.com')}
end

Factory.define :landscape_gallery, :class => Gallery do |g|
  g.name 'Landscape'
  g.description 'A photography genre intended to show different spaces within the world, sometimes vast and unending, but other times microscopic'
  g.thumbnail"http://foo.bar/landscape_gallery.jpg"
  g.tenant {Factory(:tenant, :tenant_name => 'tenant_1', :email => 'tenant_1@gmail.com')}
end

Factory.define :portrait_gallery, :class => Gallery do |g|
  g.name 'Portrait'
  g.description 'Portrait photography or portraiture is the capture by means of photography of the likeness of a person or a small group of people (a group portrait), in which the face and expression is predominant. The objective is to display the likeness, personality, and even the mood of the subject'
  g.thumbnail"http://foo.bar/portrait_gallery.jpg"
  g.tenant {Factory(:tenant, :tenant_name => 'tenant_2', :email => 'tenant_2@gmail.com')}
end