require 'spec_helper'

describe Gallery do
  describe "validation and relationship" do
    it {should validate_presence_of(:name)}
    it {should validate_uniqueness_of(:name)}
    it {should belong_to :tenant}
    it {should have_many :albums}
  end
end