require 'spec_helper'

describe Image do

  describe "validations" do
    it {should validate_presence_of(:name)}
    it {should validate_presence_of(:input)}
    it {should validate_presence_of(:input_content_type)}
    it {should validate_presence_of(:input_file_size)}
    it {should validate_presence_of(:input_file_name)}
  end

  describe "relationships" do
    it {should belong_to :tenant}
    it {should belong_to :album}
  end
end