require 'spec_helper'

describe Tenant do

  describe 'validations' do
    it {should validate_presence_of(:theme)}
  end

  describe 'relation_ship' do
    it {should have_many(:galleries)}
    it {should have_many(:albums)}
    it {should have_many(:images)}
    it {should have_one(:tenant_config)}
    it {should have_many(:comments)}
  end
  describe "role?" do
    it "should return true if user has the role" do
      admin = get_admin
      admin.role?('super_admin').should be_true
    end
  end
end
