require 'spec_helper'

describe GalleriesController do
  it {{:get => "/tenants/1/galleries"}.should route_to(:controller => "galleries", :action => "index", :tenant_id => '1')}
  it {{:get => "/tenants/1/galleries/1"}.should route_to(:controller => "galleries", :action => "show", :tenant_id => '1', :id => "1" )}
  it {{:get => "/tenants/1/galleries/new"}.should route_to(:controller => "galleries", :action => "new", :tenant_id => '1')}
  it {{:post=> "/tenants/1/galleries"}.should route_to(:controller => "galleries", :action => "create", :tenant_id => '1')}
  it {{:get => "/tenants/1/galleries/1/edit"}.should route_to(:controller => "galleries", :action => "edit", :tenant_id => '1', :id => '1')}
  it {{:put => "/tenants/1/galleries/1"}.should route_to(:controller => "galleries", :action => "update", :tenant_id => '1', :id => '1')}
  it {{:delete => '/tenants/1/galleries/1'}.should route_to(:controller => 'galleries', :action => 'destroy', :tenant_id => '1', :id => '1')}
end