require 'spec_helper'

describe ImagesController do
  it {{:get => "/tenants/1/galleries/1/albums/1/images/1"}.should route_to(:controller => 'images', :action => 'show', :tenant_id => '1', :gallery_id => '1', :album_id => '1', :id => '1')}
  it {{:get => "/tenants/1/galleries/1/albums/1/images/new"}.should route_to(:controller => 'images', :action => 'new', :tenant_id => '1', :gallery_id => '1', :album_id => '1')}
  it {{:post => "/tenants/1/galleries/1/albums/1/images/"}.should route_to(:controller => 'images', :action => 'create', :tenant_id => '1', :gallery_id => '1', :album_id => '1')}
  it {{:get => "/tenants/1/galleries/1/albums/1/images/1/edit"}.should route_to(:controller => 'images', :action => 'edit', :tenant_id => '1', :gallery_id => '1', :album_id => '1', :id => '1')}
  it {{:put => "/tenants/1/galleries/1/albums/1/images/1"}.should route_to(:controller => 'images', :action =>'update', :tenant_id => '1', :gallery_id => '1', :album_id => '1', :id => '1')}
  it {{:delete => "/tenants/1/galleries/1/albums/1/images/1"}.should route_to(:controller => 'images',:action => 'destroy',:tenant_id => '1', :gallery_id => '1', :album_id => '1', :id => '1')}
end