require 'spec_helper'

describe TenantsController do
  it {{:get => "/tenants/1"}.should route_to(:controller => 'tenants', :action => 'show', :id => '1')}
  it {{:post => "tenants/sign_in"}.should route_to(:controller => 'tenants/sessions', :action => 'create')}
  it {{:get => '/tenants/1/admin'}.should route_to(:controller => 'tenants', :action => 'admin', :id => '1')}
  it {{:get => '/tenants/1/guestbook'}.should route_to(:controller => 'tenants', :action => 'guestbook', :id => '1')}
  it {{:get => '/tenants/1/contact'}.should route_to(:controller => 'tenants', :action => 'contact', :id => '1')}
  it {{:post => '/tenants/1/submit_form'}.should route_to(:controller => 'tenants', :action => 'submit_form', :id => '1')}
end