require 'spec_helper'

describe TenantConfig do
  describe 'Validations' do
    it {should validate_presence_of(:facebook_app_id)}
    it {should validate_presence_of(:theme)}
    it {should validate_presence_of(:email)}
    it {should validate_format_of(:email).with(/\b[A-Z0-9._%-]+@[A-Z0-9.-]+\.[A-Z]{2,4}\b/)}
  end
end