require 'spec_helper'

describe AlbumsController do
  it {{:get => "/tenants/1/albums"}.should route_to(:controller => "albums", :action => "index", :tenant_id => '1')}
  it {{:get => "/tenants/1/galleries/1/albums/1"}.should route_to(:controller => "albums", :action => "show", :gallery_id => '1', :tenant_id => '1', :id => "1" )}
  it {{:get => "/tenants/1/albums/new"}.should route_to(:controller => "albums", :action => "new", :tenant_id => '1')}
  it {{:post=> "/tenants/1/albums"}.should route_to(:controller => "albums", :action => "create", :tenant_id => '1')}
  it {{:get => "/tenants/1/galleries/1/albums/1/edit"}.should route_to(:controller => "albums", :action => "edit", :gallery_id => '1', :tenant_id => '1', :id => '1')}
  it {{:put => "/tenants/1/galleries/1/albums/1"}.should route_to(:controller => "albums", :action => "update", :gallery_id => '1', :tenant_id => '1', :id => '1')}
  it {{:delete => '/tenants/1/galleries/1/albums/1'}.should route_to(:controller => 'albums', :action => 'destroy', :tenant_id => '1', :gallery_id => '1', :id => '1')}
end